6.0.0-git
2020-09-24

[#14989] Recurring events on last weekday of month missing
Summary Recurring events on last weekday of month missing
Queue Horde Framework Packages
Type Bug
State Not A Bug
Priority 1. Low
Owners
Requester admin (at) layertec (dot) de
Created 2020-02-12 (225 days ago)
Due
Updated 2020-02-24 (213 days ago)
Assigned
Resolved 2020-02-24 (213 days ago)
Milestone
Patch No

History
2020-02-24 16:07:01 Michael Rubinsky Comment #6 Reply to this comment
We'd love to use an option called "Last Weekday", but there is none.
Ah. Apologies, that feature is in our yet to be released next version only.
2020-02-24 07:58:02 admin (at) layertec (dot) de Comment #5
New Attachment: pattern.png Download
Reply to this comment
This is working as I would expect.  Friday, 31st January is the 5th 
Friday of the month. If you are basing a "same weekday every month" 
recurrence on this, than it should only recur on the 5th Friday of a 
month, which doesn't happen again until May.

If, instead, you want it to recur on *the last* Friday of the month, 
than you need to select a "Last Weekday" recurrence, and not "Same 
Weekday".
We'd love to use an option called "Last Weekday", but there is none.
2020-02-24 04:16:18 Michael Rubinsky Comment #4
State ⇒ Not A Bug
Priority ⇒ 1. Low
Reply to this comment
Creating a recurring event on a specific weekday by selecting:
* monthly
* recurring every 1 month on the same weekday.

If that day is e.g. Friday, 31st of January 2020 there should be the 
next occurrence on Friday, 28th of February 2020. But the next 
occurrence is Friday, 29th of May 2020.
This is working as I would expect.  Friday, 31st January is the 5th 
Friday of the month. If you are basing a "same weekday every month" 
recurrence on this, than it should only recur on the 5th Friday of a 
month, which doesn't happen again until May.

If, instead, you want it to recur on *the last* Friday of the month, 
than you need to select a "Last Weekday" recurrence, and not "Same 
Weekday".

[Show Quoted Text - 17 lines]
2020-02-24 01:28:49 Michael Rubinsky Comment #3 Reply to this comment
Did anyone notice this ticket?
Noticed it? Yes. Had time to triage, confirm, or otherwise look into it? No.
2020-02-21 11:30:09 admin (at) layertec (dot) de Comment #2 Reply to this comment
Did anyone notice this ticket?
2020-02-12 10:13:42 admin (at) layertec (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Recurring events on last weekday of month missing
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Creating a recurring event on a specific weekday by selecting:
* monthly
* recurring every 1 month on the same weekday.

If that day is e.g. Friday, 31st of January 2020 there should be the 
next occurrence on Friday, 28th of February 2020. But the next 
occurrence is Friday, 29th of May 2020.

There was a similar bug #11181 which was supposed to be resolved in 
the library Horde_Date version 2.0.2.

Our environment is:
* Linux Debian 10 (buster)
* PHP 7.1.33
* Pear 1.10.10
** pear/Date 1.4.7
* Horde Groupware Webmail Edition 5.2.22
** horde/horde 5.2.21
** horde/Horde_Core 2.31.13
** horde/Horde_Exception 2.0.8
** horde/Horde_Nls 2.2.1
** horde/Horde_Translation 2.2.2
** horde/Horde_Date 2.4.1
** horde/Horde_Date_Parser 2.0.7
** kronolith 4.2.27

Saved Queries